Debian Bug report logs - #505101
"libupsclient-dev points to /usr/lib not /lib"

Package: libupsclient1-dev; Maintainer for libupsclient1-dev is Arnaud Quette <aquette@debian.org>; Source for libupsclient1-dev is src:nut.

Reported by: "Michael Casadevall" <sonicmctails@gmail.com>

Date: Sun, 9 Nov 2008 12:54:01 UTC

Severity: serious

Tags: sid

Done: "Arnaud Quette" <aquette.dev@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Arnaud Quette <aquette@debian.org>:
Bug#505101; Package libupsclient1. (Sun, 09 Nov 2008 12:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Michael Casadevall" <sonicmctails@gmail.com>:
New Bug report received and forwarded. Copy sent to Arnaud Quette <aquette@debian.org>. (Sun, 09 Nov 2008 12:54:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Michael Casadevall" <sonicmctails@gmail.com>
To: submit@bugs.debian.org
Subject: libupsclient1 ends up in /lib, not /usr/lib
Date: Sun, 9 Nov 2008 07:50:31 -0500
Subject: libupsclient1 ends up in /lib, not /usr/lib
Package: libupsclient1
Severity: serious

libupsclient1 installs its shared libraries into /lib, not /usr/lib

root@utumno:/# dpkg -L libupsclient1
/lib/libupsclient.so.1.0.0

It appears all thats needed to fix is a change in the rules on 131-132
to change debian/lib to debian/usr/lib.
Michael

-- System Information:
Debian Release: lenny/sid
  APT prefers jaunty-updates
  APT policy: (500, 'jaunty-updates'), (500, 'jaunty-security'), (500, 'jaunty')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.27-7-generic (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Arnaud Quette <aquette@debian.org>:
Bug#505101; Package libupsclient1. (Sun, 09 Nov 2008 13:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Michael Casadevall" <sonicmctails@gmail.com>:
Extra info received and forwarded to list. Copy sent to Arnaud Quette <aquette@debian.org>. (Sun, 09 Nov 2008 13:09:04 GMT) Full text and rfc822 format available.

Message #10 received at 505101@bugs.debian.org (full text, mbox):

From: "Michael Casadevall" <sonicmctails@gmail.com>
To: 505101@bugs.debian.org, control@bugs.debian.org
Subject: Ah, missed the previous bug ...
Date: Sun, 9 Nov 2008 08:05:28 -0500
retitle "libupsclient-dev points to /usr/lib not /lib"
thankyou

Sorry, I overlooked that the libraries in /lib are intentional. The
problem is now that the files in -dev point to /usr/lib, vs /lib
making anything that builds against libupsclient-dev crash and burn.
Michael




Changed Bug title to `"libupsclient-dev points to /usr/lib not /lib"' from `libupsclient1 ends up in /lib, not /usr/lib'. Request was from "Michael Casadevall" <sonicmctails@gmail.com> to control@bugs.debian.org. (Sun, 09 Nov 2008 13:18:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Arnaud Quette <aquette@debian.org>:
Bug#505101; Package libupsclient1. (Tue, 11 Nov 2008 20:57:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Arnaud Quette" <aquette.dev@gmail.com>:
Extra info received and forwarded to list. Copy sent to Arnaud Quette <aquette@debian.org>. (Tue, 11 Nov 2008 20:57:10 GMT) Full text and rfc822 format available.

Message #17 received at 505101@bugs.debian.org (full text, mbox):

From: "Arnaud Quette" <aquette.dev@gmail.com>
To: "Michael Casadevall" <sonicmctails@gmail.com>, 505101@bugs.debian.org
Subject: Re: Bug#505101: Ah, missed the previous bug ...
Date: Tue, 11 Nov 2008 21:56:05 +0100
Hi Michael,

2008/11/9 Michael Casadevall <sonicmctails@gmail.com>:
> retitle "libupsclient-dev points to /usr/lib not /lib"
> thankyou
>
> Sorry, I overlooked that the libraries in /lib are intentional. The
> problem is now that the files in -dev point to /usr/lib, vs /lib
> making anything that builds against libupsclient-dev crash and burn.
> Michael

a -9 is ready for some time for fixing this, but I was looking into
adding more into it before uploading it...
I'll wait a bit more since it's not harmful. or do you have an urgent need?
btw, it doesn't affect lenny, but only sid.

thanks for the report,
Arnaud
-- 
Linux / Unix Expert R&D - MGE Office Protection Systems - http://www.mgeops.com
Network UPS Tools (NUT) Project Leader - http://www.networkupstools.org/
Debian Developer - http://people.debian.org/~aquette/
Free Software Developer - http://arnaud.quette.free.fr/




Bug no longer marked as found in version 2.2.2-6.2. Request was from Michael Meskes <meskes@debian.org> to control@bugs.debian.org. (Thu, 20 Nov 2008 15:18:06 GMT) Full text and rfc822 format available.

Tags added: sid Request was from Michael Meskes <meskes@debian.org> to control@bugs.debian.org. (Thu, 20 Nov 2008 15:18:08 GMT) Full text and rfc822 format available.

Reply sent to Arnaud Quette <aquette@debian.org>:
You have taken responsibility. (Fri, 21 Nov 2008 09:39:09 GMT) Full text and rfc822 format available.

Notification sent to "Michael Casadevall" <sonicmctails@gmail.com>:
Bug acknowledged by developer. (Fri, 21 Nov 2008 09:39:16 GMT) Full text and rfc822 format available.

Message #26 received at 505101-close@bugs.debian.org (full text, mbox):

From: Arnaud Quette <aquette@debian.org>
To: 505101-close@bugs.debian.org
Subject: Bug#505101: fixed in nut 2.2.2-9
Date: Fri, 21 Nov 2008 09:17:06 +0000
Source: nut
Source-Version: 2.2.2-9

We believe that the bug you reported is fixed in the latest version of
nut, which is due to be installed in the Debian FTP archive:

libupsclient1-dev_2.2.2-9_i386.deb
  to pool/main/n/nut/libupsclient1-dev_2.2.2-9_i386.deb
libupsclient1_2.2.2-9_i386.deb
  to pool/main/n/nut/libupsclient1_2.2.2-9_i386.deb
nut-cgi_2.2.2-9_i386.deb
  to pool/main/n/nut/nut-cgi_2.2.2-9_i386.deb
nut-hal-drivers_2.2.2-9_i386.deb
  to pool/main/n/nut/nut-hal-drivers_2.2.2-9_i386.deb
nut-snmp_2.2.2-9_i386.deb
  to pool/main/n/nut/nut-snmp_2.2.2-9_i386.deb
nut-xml_2.2.2-9_i386.deb
  to pool/main/n/nut/nut-xml_2.2.2-9_i386.deb
nut_2.2.2-9.diff.gz
  to pool/main/n/nut/nut_2.2.2-9.diff.gz
nut_2.2.2-9.dsc
  to pool/main/n/nut/nut_2.2.2-9.dsc
nut_2.2.2-9_i386.deb
  to pool/main/n/nut/nut_2.2.2-9_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 505101@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Arnaud Quette <aquette@debian.org> (supplier of updated nut package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 15 Oct 2008 17:20:29 +0200
Source: nut
Binary: nut nut-cgi nut-snmp nut-hal-drivers nut-xml libupsclient1 libupsclient1-dev
Architecture: source i386
Version: 2.2.2-9
Distribution: unstable
Urgency: low
Maintainer: Arnaud Quette <aquette@debian.org>
Changed-By: Arnaud Quette <aquette@debian.org>
Description: 
 libupsclient1 - Client library for the nut - Network UPS Tools
 libupsclient1-dev - Development files for NUT - Network UPS Tools
 nut        - The core system of the nut - Network UPS Tools
 nut-cgi    - A web interface sub system for the nut - Network UPS Tools
 nut-hal-drivers - HAL interface for NUT - Network UPS Tools
 nut-snmp   - A meta SNMP Driver subsystem for the nut - Network UPS Tools
 nut-xml    - MGE XML/HTTP Driver subsystem for the nut - Network UPS Tools
Closes: 502757 505101
Changes: 
 nut (2.2.2-9) unstable; urgency=low
 .
   * debian/rules: also move libupsclient.so to /lib, otherwise the link is
     broken (Closes: #505101)
   * debian/nut-cgi.postinst: test if /etc/nut exists before chmod'ing (Closes:
     #502757)
   * debian/nut.TODO.Debian: some update and completion
Checksums-Sha1: 
 1c3e4b6e2c93765f9aa52da4aaff803447682e71 1517 nut_2.2.2-9.dsc
 e774bcd654a47ec096b77e9375db455de5a3ceeb 39444 nut_2.2.2-9.diff.gz
 453afdccf2fd9fe2b95fbc593a0e66c8ef46e0b9 1127420 nut_2.2.2-9_i386.deb
 29fbba571725f81a57dbd08086cfad1813033cac 70182 nut-cgi_2.2.2-9_i386.deb
 805ead446b214ef1329de7f03b511f93cdadc0c4 50600 nut-snmp_2.2.2-9_i386.deb
 6fc804bfcb1b87f5538028bcdf554821f5f24682 123126 nut-hal-drivers_2.2.2-9_i386.deb
 1e99aca1301960d80832973998451e358b488003 48808 nut-xml_2.2.2-9_i386.deb
 3cf88bcafb645aa81d1cf96d06bc3e46d6d61e3e 34698 libupsclient1_2.2.2-9_i386.deb
 b8967f51362f731310280e9528b8a4a5df352b65 48004 libupsclient1-dev_2.2.2-9_i386.deb
Checksums-Sha256: 
 357937b2cdfcafb0b10e41d29817bb3c3723cb5fcf4ef959b0a28c57e9c803d2 1517 nut_2.2.2-9.dsc
 121bdbe667fa1127118a95465ce5047f87b28b03ed69c9da000ac34e0f028b75 39444 nut_2.2.2-9.diff.gz
 abf3c64094a815e97dd85b32ba45f4909ee1be55eae962f7fd3066df359e313a 1127420 nut_2.2.2-9_i386.deb
 cdd1e7246d00347e3eb9a04a6c7da45dfc70c4ed7075a85190f65532d0e6bdf6 70182 nut-cgi_2.2.2-9_i386.deb
 467fdf2e5b4b75c5ad12c753d5d10e2828f657b8a9e01dd694c79cc6a45018b6 50600 nut-snmp_2.2.2-9_i386.deb
 8bf719dca662a0a55a599fc3ee178a44f6a1c2734880450c35cabca972f78b30 123126 nut-hal-drivers_2.2.2-9_i386.deb
 39a49015a81826d550b55d1e1bfa83c5b27080635ce27b6567ec81b7d074e638 48808 nut-xml_2.2.2-9_i386.deb
 e8c4537ef1fc6ba73a48b0a57bcfbae9518856d201b2bec4e88c1bd2b65d3456 34698 libupsclient1_2.2.2-9_i386.deb
 d85a95585f7084b04a21aec4dc75b39fa28a1a157afd43df33984cc8d4686699 48004 libupsclient1-dev_2.2.2-9_i386.deb
Files: 
 70bef0e342061dbcccdf5b445e292bb3 1517 admin optional nut_2.2.2-9.dsc
 354ba24f7eea1c11e5ca59b3370313ae 39444 admin optional nut_2.2.2-9.diff.gz
 56960cff4ef9897ab41d7b3b4ac5b464 1127420 admin optional nut_2.2.2-9_i386.deb
 5487725f7bdda9532de7bc4a86cdc2b9 70182 admin optional nut-cgi_2.2.2-9_i386.deb
 3cc324b4409eae31b51215c4b4da3f89 50600 admin optional nut-snmp_2.2.2-9_i386.deb
 197e80d015158dfbd3cc044964ef365d 123126 admin optional nut-hal-drivers_2.2.2-9_i386.deb
 8817d47b8c2c41165eb32e338c6a86ec 48808 admin optional nut-xml_2.2.2-9_i386.deb
 b3d0b508c55968c486e72f966b2bb8c1 34698 admin optional libupsclient1_2.2.2-9_i386.deb
 68c1482f6bb554d8b64981cde570e540 48004 libdevel optional libupsclient1-dev_2.2.2-9_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkkmewsACgkQ22QUyiBN3xtaYgCgqnXk/H4QXqFQYNG2JKb5W2EP
b7gAoIF70sPYB1sKpC5+zMsG3Zae4U3X
=4xtl
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Arnaud Quette <aquette@debian.org>:
Bug#505101; Package libupsclient1. (Sun, 23 Nov 2008 13:18:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sebastian Harl <sh@tokkee.org>:
Extra info received and forwarded to list. Copy sent to Arnaud Quette <aquette@debian.org>. (Sun, 23 Nov 2008 13:18:06 GMT) Full text and rfc822 format available.

Message #31 received at 505101@bugs.debian.org (full text, mbox):

From: Sebastian Harl <sh@tokkee.org>
To: 505101@bugs.debian.org, Arnaud Quette <aquette@debian.org>, 505101-submitter@bugs.debian.org
Subject: Re: Reopening #505101: fix in 2.2.2-9 broken; libupsclient.la also points to /usr/lib
Date: Sun, 23 Nov 2008 14:17:26 +0100
[Message part 1 (text/plain, inline)]
reopen 505101
reassign 505101 libupsclient1-dev
thanks

Hi Arnaud,

On Fri, Nov 21, 2008 at 09:39:09AM +0000, Debian Bug Tracking System wrote:
>    * debian/rules: also move libupsclient.so to /lib, otherwise the link is
>      broken (Closes: #505101)

Unfortunately, this fix is broken. In debian/rules you do:

  mv $(CURDIR)/debian/nut/usr/lib/*.so $(CURDIR)/debian/libupsclient1-dev/lib

However, $(CURDIR)/debian/libupsclient1-dev/lib does not exist at that
point, so you create /lib as a symlink to libupsclient.so.1.0.0.

Also, libupsclient.la (currently found in /usr/lib) points to /usr/lib
as well (libdir='/usr/lib'). Because of that, libtool is looking for
/usr/lib/libupsclient.so. Since the .la file references libupsclient.a
as well, I guess, changing libdir to '/lib' won't do it, because libtool
then won't be able to find the static lib any longer. I suppose, the
only way to solve that is to move the .a and .la to /lib as well.

Cheers,
Sebastian

-- 
Sebastian "tokkee" Harl +++ GnuPG-ID: 0x8501C7FC +++ http://tokkee.org/

Those who would give up Essential Liberty to purchase a little Temporary
Safety, deserve neither Liberty nor Safety.         -- Benjamin Franklin

[signature.asc (application/pgp-signature, inline)]

Bug reopened, originator not changed. Request was from Sebastian Harl <sh@tokkee.org> to control@bugs.debian.org. (Sun, 23 Nov 2008 13:18:12 GMT) Full text and rfc822 format available.

Bug reassigned from package `libupsclient1' to `libupsclient1-dev'. Request was from Sebastian Harl <sh@tokkee.org> to control@bugs.debian.org. (Sun, 23 Nov 2008 13:18:13 GMT) Full text and rfc822 format available.

Message sent on to "Michael Casadevall" <sonicmctails@gmail.com>:
Bug#505101. (Sun, 23 Nov 2008 13:18:16 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Arnaud Quette <aquette@debian.org>:
Bug#505101; Package libupsclient1-dev. (Wed, 26 Nov 2008 12:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Arnaud Quette" <aquette.dev@gmail.com>:
Extra info received and forwarded to list. Copy sent to Arnaud Quette <aquette@debian.org>. (Wed, 26 Nov 2008 12:27:05 GMT) Full text and rfc822 format available.

Message #43 received at 505101@bugs.debian.org (full text, mbox):

From: "Arnaud Quette" <aquette.dev@gmail.com>
To: "Sebastian Harl" <sh@tokkee.org>, 505101@bugs.debian.org
Cc: "Arnaud Quette" <aquette@debian.org>, 505101-submitter@bugs.debian.org
Subject: Re: Bug#505101: Reopening #505101: fix in 2.2.2-9 broken; libupsclient.la also points to /usr/lib
Date: Wed, 26 Nov 2008 13:24:37 +0100
Hi Sebastian,

thanks for poping this up.

Morten Kjeldgaard, from Ubuntu, already pointed it and provided an
excellent package update, using debhelper files:
https://bugs.edge.launchpad.net/ubuntu/+source/nut/+bug/299489

as told, I'll do my best to integrate these update and upload 2.2.2-10.
though my top 1 priority is currently to have 2.4.0 released for Christmas...

thanks for your support and help,
Arnaud
-- 
Linux / Unix Expert R&D - MGE Office Protection Systems - http://www.mgeops.com
Network UPS Tools (NUT) Project Leader - http://www.networkupstools.org/
Debian Developer - http://people.debian.org/~aquette/
Free Software Developer - http://arnaud.quette.free.fr/




Message sent on to "Michael Casadevall" <sonicmctails@gmail.com>:
Bug#505101. (Wed, 26 Nov 2008 12:27:08 GMT) Full text and rfc822 format available.

Reply sent to "Arnaud Quette" <aquette.dev@gmail.com>:
You have taken responsibility. (Fri, 28 Nov 2008 10:33:33 GMT) Full text and rfc822 format available.

Notification sent to "Michael Casadevall" <sonicmctails@gmail.com>:
Bug acknowledged by developer. (Fri, 28 Nov 2008 10:33:35 GMT) Full text and rfc822 format available.

Message #51 received at 505101-done@bugs.debian.org (full text, mbox):

From: "Arnaud Quette" <aquette.dev@gmail.com>
To: 505101-done@bugs.debian.org
Subject: Re: libupsclient1 ends up in /lib, not /usr/lib
Date: Fri, 28 Nov 2008 11:30:47 +0100
fixed 505101 2.2.2-10
thanks

forgotten closes in 2.2.2-10 changelog...

-- Arnaud




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 27 Dec 2008 07:26:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 07:08:18 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.